<?php
	$registro = (int)$_GET["registro"];

	// Pesquisa usuário na API
	$params['token'] = $_SESSION["usuario"]["api_token"];
	$params['user'] = $registro;
	$api = api('/getUserInfo', $params);
	$api = json_decode($api, 1);

	// Organiza permissões
	$user_perms = $api["user_info"]["permissions"];
	$all_perms = array();
	$x = simplexml_load_file('../../permissoes.xml');
	foreach ($x as $p) {
		$categoria = explode(']', (string)$p->attributes()->name);
		if(!isset($categoria[1])){ $categoria[1] = $categoria[0]; $categoria[0] = 'Permissões gerais'; }
		$categoria[0] = str_replace('[', '', $categoria[0]);
		$categoria[0] = str_replace(']', '', $categoria[0]);
		$i = count($all_perms[$categoria[0]]);
		$all_perms[$categoria[0]][$i]['id'] = (string)$p->attributes()->id;
		$all_perms[$categoria[0]][$i]['code'] = (string)$p->attributes()->code;
		$all_perms[$categoria[0]][$i]['name'] = ($categoria[1]);
	}

	// Lista todos os usuários
	$users = array();
	$sql = $mysqli->query("SELECT usuario_nome, usuario_tipo, usuario_id FROM usuarios ORDER BY usuario_tipo, usuario_nome ASC");
	while ($u = $sql->fetch_assoc()) {
		$i = count($users[$u["usuario_tipo"]]);
		$ti = $u["usuario_tipo"];
		$users["$ti"][$i]["id"] = $u["usuario_id"];
		$users["$ti"][$i]["nome"] = utf8_encode($u["usuario_nome"]);
		$users["$ti"][$i]["tipo"] = $u["usuario_tipo"];
	}

?>